#!/devtool/local/bin/perl
#
# @(#) timestamp   1997-11-18
#
# Diese Shellscript wird im sutsingle und im sutall verwendet.
#
sub timestamp {
my $no_linefeed = shift;
local($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime(time);
$mon++; # adapt month
foreach ( "mon", "mday", "hour", "min", "sec" ) {
	$$_ = "0$$_" if length($$_) == 1;
}
my $timestamp = "$year-$mon-$mday-$hour.$min.$sec";
$timestamp .= "\n" unless $no_linefeed;
return($timestamp);
}

1;
